{
  "openapi" : "3.0.3",
  "info" : {
    "title" : "Keycloak Admin REST API",
    "description" : "This is a REST API reference for the Keycloak Admin REST API.",
    "version" : "1.0"
  },
  "tags" : [ {
    "name" : "Attack Detection"
  }, {
    "name" : "Authentication Management"
  }, {
    "name" : "Client Attribute Certificate"
  }, {
    "name" : "Client Initial Access"
  }, {
    "name" : "Client Registration Policy"
  }, {
    "name" : "Client Role Mappings"
  }, {
    "name" : "Client Scopes"
  }, {
    "name" : "Clients"
  }, {
    "name" : "Component"
  }, {
    "name" : "Groups"
  }, {
    "name" : "Identity Providers"
  }, {
    "name" : "Key"
  }, {
    "name" : "Organizations",
    "x-smallrye-profile-admin" : ""
  }, {
    "name" : "Protocol Mappers"
  }, {
    "name" : "Realms Admin"
  }, {
    "name" : "Role Mapper"
  }, {
    "name" : "Roles"
  }, {
    "name" : "Roles (by ID)"
  }, {
    "name" : "Scope Mappings"
  }, {
    "name" : "Users"
  }, {
    "name" : "Workflows"
  } ],
  "paths" : {
    "/admin/realms" : {
      "get" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Get accessible realms Returns a list of accessible realms. The list is filtered based on what realms the caller is allowed to view.",
        "parameters" : [ {
          "name" : "briefRepresentation",
          "in" : "query",
          "schema" : {
            "default" : false,
            "type" : "boolean"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RealmRepresentation"
                  }
                }
              }
            }
          },
          "403" : {
            "description" : "Forbidden"
          }
        }
      },
      "post" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Import a realm. Imports a realm from a full representation of that realm.",
        "description" : "Realm name must be unique.",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "format" : "binary",
                "type" : "string"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "400" : {
            "description" : "Bad Request"
          },
          "403" : {
            "description" : "Forbidden"
          },
          "409" : {
            "description" : "Conflict"
          },
          "500" : {
            "description" : "Internal Server Error"
          }
        }
      }
    },
    "/admin/realms/{realm}" : {
      "get" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Get the top-level representation of the realm It will not include nested information like User and Client representations.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/RealmRepresentation"
                }
              }
            }
          },
          "403" : {
            "description" : "Forbidden"
          }
        }
      },
      "put" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Update the top-level information of the realm Any user, roles or client information in the representation will be ignored.",
        "description" : "This will only update top-level attributes of the realm.",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/RealmRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "400" : {
            "description" : "Bad Request"
          },
          "403" : {
            "description" : "Forbidden"
          },
          "404" : {
            "description" : "Not Found"
          },
          "409" : {
            "description" : "Conflict"
          },
          "500" : {
            "description" : "Internal Server Error"
          }
        }
      },
      "delete" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Delete the realm",
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "400" : {
            "description" : "Bad Request"
          },
          "403" : {
            "description" : "Forbidden"
          },
          "404" : {
            "description" : "Not Found"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/admin-events" : {
      "get" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Get admin events Returns all admin events, or filters events based on URL query parameters listed here",
        "parameters" : [ {
          "name" : "authClient",
          "in" : "query",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "authIpAddress",
          "in" : "query",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "authRealm",
          "in" : "query",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "authUser",
          "in" : "query",
          "description" : "user id",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "dateFrom",
          "in" : "query",
          "description" : "From (inclusive) date (yyyy-MM-dd) or time in Epoch timestamp millis (number of milliseconds since January 1, 1970, 00:00:00 GMT)",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "dateTo",
          "in" : "query",
          "description" : "To (inclusive) date (yyyy-MM-dd) or time in Epoch timestamp millis (number of milliseconds since January 1, 1970, 00:00:00 GMT)",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "direction",
          "in" : "query",
          "description" : "The direction to sort events by (asc or desc)",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "first",
          "in" : "query",
          "schema" : {
            "format" : "int32",
            "type" : "integer"
          }
        }, {
          "name" : "max",
          "in" : "query",
          "description" : "Maximum results size (defaults to 100)",
          "schema" : {
            "format" : "int32",
            "type" : "integer"
          }
        }, {
          "name" : "operationTypes",
          "in" : "query",
          "schema" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          }
        }, {
          "name" : "resourcePath",
          "in" : "query",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "resourceTypes",
          "in" : "query",
          "schema" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/AdminEventRepresentation"
                  }
                }
              }
            }
          },
          "400" : {
            "description" : "Bad Request"
          },
          "403" : {
            "description" : "Forbidden"
          }
        }
      },
      "delete" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Delete all admin events",
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "403" : {
            "description" : "Forbidden"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/attack-detection/brute-force/users" : {
      "delete" : {
        "tags" : [ "Attack Detection" ],
        "summary" : "Clear any user login failures for all users This can release temporary disabled users",
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/attack-detection/brute-force/users/{userId}" : {
      "get" : {
        "tags" : [ "Attack Detection" ],
        "summary" : "Get status of a username in brute force detection",
        "parameters" : [ {
          "name" : "userId",
          "in" : "path",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "object",
                  "additionalProperties" : { }
                }
              }
            }
          }
        }
      },
      "delete" : {
        "tags" : [ "Attack Detection" ],
        "summary" : "Clear any user login failures for the user This can release temporary disabled user",
        "parameters" : [ {
          "name" : "userId",
          "in" : "path",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/authenticator-providers" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get authenticator providers Returns a stream of authenticator providers.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "type" : "object",
                    "additionalProperties" : { }
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/client-authenticator-providers" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get client authenticator providers Returns a stream of client authenticator providers.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "type" : "object",
                    "additionalProperties" : { }
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/config" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Create new authenticator configuration",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/AuthenticatorConfigRepresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "409" : {
            "description" : "Conflict"
          }
        },
        "deprecated" : true
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/config-description/{providerId}" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get authenticator provider's configuration description",
        "parameters" : [ {
          "name" : "providerId",
          "in" : "path",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthenticatorConfigInfoRepresentation"
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/config/{id}" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get authenticator configuration",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Configuration id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthenticatorConfigRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Update authenticator configuration",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Configuration id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/AuthenticatorConfigRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "delete" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Delete authenticator configuration",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Configuration id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/executions" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Add new authentication execution",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/AuthenticationExecutionRepresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/executions/{executionId}" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get Single Execution",
        "parameters" : [ {
          "name" : "executionId",
          "in" : "path",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthenticationExecutionRepresentation"
                }
              }
            }
          }
        }
      },
      "delete" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Delete execution",
        "parameters" : [ {
          "name" : "executionId",
          "in" : "path",
          "description" : "Execution id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/executions/{executionId}/config" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Update execution with new configuration",
        "parameters" : [ {
          "name" : "executionId",
          "in" : "path",
          "description" : "Execution id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/AuthenticatorConfigRepresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/executions/{executionId}/config/{id}" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get execution's configuration",
        "parameters" : [ {
          "name" : "executionId",
          "in" : "path",
          "description" : "Execution id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "id",
          "in" : "path",
          "description" : "Configuration id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthenticatorConfigRepresentation"
                }
              }
            }
          }
        },
        "deprecated" : true
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/executions/{executionId}/lower-priority" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Lower execution's priority",
        "parameters" : [ {
          "name" : "executionId",
          "in" : "path",
          "description" : "Execution id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/executions/{executionId}/raise-priority" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Raise execution's priority",
        "parameters" : [ {
          "name" : "executionId",
          "in" : "path",
          "description" : "Execution id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/flows" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get authentication flows Returns a stream of authentication flows.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/AuthenticationFlowRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Create a new authentication flow",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/AuthenticationFlowRepresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/flows/{flowAlias}/copy" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Copy existing authentication flow under a new name The new name is given as 'newName' attribute of the passed JSON object",
        "parameters" : [ {
          "name" : "flowAlias",
          "in" : "path",
          "description" : "name of the existing authentication flow",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "object",
                "additionalProperties" : {
                  "type" : "string"
                }
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/flows/{flowAlias}/executions" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get authentication executions for a flow",
        "parameters" : [ {
          "name" : "flowAlias",
          "in" : "path",
          "description" : "Flow alias",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/AuthenticationExecutionInfoRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Update authentication executions of a Flow",
        "parameters" : [ {
          "name" : "flowAlias",
          "in" : "path",
          "description" : "Flow alias",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/AuthenticationExecutionInfoRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/flows/{flowAlias}/executions/execution" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Add new authentication execution to a flow",
        "parameters" : [ {
          "name" : "flowAlias",
          "in" : "path",
          "description" : "Alias of parent flow",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "object",
                "additionalProperties" : { }
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/flows/{flowAlias}/executions/flow" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Add new flow with new execution to existing flow",
        "parameters" : [ {
          "name" : "flowAlias",
          "in" : "path",
          "description" : "Alias of parent authentication flow",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "object",
                "additionalProperties" : { }
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/flows/{id}" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get authentication flow for id",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Flow id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthenticationFlowRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Update an authentication flow",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/AuthenticationFlowRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "delete" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Delete an authentication flow",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Flow id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/form-action-providers" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get form action providers Returns a stream of form action providers.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "type" : "object",
                    "additionalProperties" : { }
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/form-providers" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get form providers Returns a stream of form providers.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "type" : "object",
                    "additionalProperties" : { }
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/per-client-config-description" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get configuration descriptions for all clients",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "object",
                  "additionalProperties" : {
                    "type" : "array",
                    "items" : {
                      "$ref" : "#/components/schemas/ConfigPropertyRepresentation"
                    }
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/register-required-action" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Register a new required actions",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "object",
                "additionalProperties" : {
                  "type" : "string"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/required-actions" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get required actions Returns a stream of required actions.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RequiredActionProviderRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/required-actions/{alias}" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get required action for alias",
        "parameters" : [ {
          "name" : "alias",
          "in" : "path",
          "description" : "Alias of required action",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/RequiredActionProviderRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Update required action",
        "parameters" : [ {
          "name" : "alias",
          "in" : "path",
          "description" : "Alias of required action",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/RequiredActionProviderRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "delete" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Delete required action",
        "parameters" : [ {
          "name" : "alias",
          "in" : "path",
          "description" : "Alias of required action",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/required-actions/{alias}/config" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get RequiredAction configuration",
        "parameters" : [ {
          "name" : "alias",
          "in" : "path",
          "description" : "Alias of required action",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/RequiredActionConfigRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Update RequiredAction configuration",
        "parameters" : [ {
          "name" : "alias",
          "in" : "path",
          "description" : "Alias of required action",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/RequiredActionConfigRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "delete" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Delete RequiredAction configuration",
        "parameters" : [ {
          "name" : "alias",
          "in" : "path",
          "description" : "Alias of required action",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/required-actions/{alias}/config-description" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get RequiredAction provider configuration description",
        "parameters" : [ {
          "name" : "alias",
          "in" : "path",
          "description" : "Alias of required action",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/RequiredActionConfigInfoRepresentation"
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/required-actions/{alias}/lower-priority" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Lower required action's priority",
        "parameters" : [ {
          "name" : "alias",
          "in" : "path",
          "description" : "Alias of required action",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/required-actions/{alias}/raise-priority" : {
      "post" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Raise required action's priority",
        "parameters" : [ {
          "name" : "alias",
          "in" : "path",
          "description" : "Alias of required action",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/authentication/unregistered-required-actions" : {
      "get" : {
        "tags" : [ "Authentication Management" ],
        "summary" : "Get unregistered required actions Returns a stream of unregistered required actions.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "type" : "object",
                    "additionalProperties" : {
                      "type" : "string"
                    }
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-description-converter" : {
      "post" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Base path for importing clients under this realm.",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "string"
              }
            },
            "application/xml" : {
              "schema" : {
                "type" : "string"
              }
            },
            "text/plain" : {
              "schema" : {
                "type" : "string"
              }
            }
          }
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClientRepresentation"
                }
              }
            }
          },
          "403" : {
            "description" : "Forbidden"
          },
          "404" : {
            "description" : "Not Found"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-policies/policies" : {
      "get" : {
        "tags" : [ "Realms Admin" ],
        "parameters" : [ {
          "name" : "include-global-policies",
          "in" : "query",
          "schema" : {
            "type" : "boolean"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClientPoliciesRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Realms Admin" ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientPoliciesRepresentation"
              }
            }
          }
        },
        "responses" : {
          "200" : {
            "description" : "OK"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-policies/profiles" : {
      "get" : {
        "tags" : [ "Realms Admin" ],
        "parameters" : [ {
          "name" : "include-global-profiles",
          "in" : "query",
          "schema" : {
            "type" : "boolean"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClientProfilesRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Realms Admin" ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientProfilesRepresentation"
              }
            }
          }
        },
        "responses" : {
          "200" : {
            "description" : "OK"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-registration-policy/providers" : {
      "get" : {
        "tags" : [ "Client Registration Policy" ],
        "summary" : "Base path for retrieve providers with the configProperties properly filled",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/ComponentTypeRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes" : {
      "get" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Get client scopes belonging to the realm Returns a list of client scopes belonging to the realm",
        "responses" : {
          "200" : {
            "description" : "",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/ClientScopeRepresentation"
                  }
                }
              }
            }
          },
          "403" : {
            "description" : "Forbidden"
          }
        }
      },
      "post" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Create a new client scope Client Scope’s name must be unique!",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientScopeRepresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "403" : {
            "description" : "Forbidden"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}" : {
      "get" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Get representation of the client scope",
        "responses" : {
          "200" : {
            "description" : "",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClientScopeRepresentation"
                }
              }
            }
          },
          "403" : {
            "description" : "Forbidden"
          }
        }
      },
      "put" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Update the client scope",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientScopeRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "400" : {
            "description" : "Bad Request"
          },
          "403" : {
            "description" : "Forbidden"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "delete" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Delete the client scope",
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "400" : {
            "description" : "Bad Request"
          },
          "403" : {
            "description" : "Forbidden"
          },
          "500" : {
            "description" : "Internal Server Error"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/protocol-mappers/add-models" : {
      "post" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Create multiple mappers",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/protocol-mappers/models" : {
      "get" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Get mappers",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Create a mapper",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/protocol-mappers/models/{id}" : {
      "get" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Get mapper by id",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Mapper id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Update the mapper",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Mapper id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "delete" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Delete the mapper",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Mapper id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/protocol-mappers/protocol/{protocol}" : {
      "get" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Get mappers by name for a specific protocol",
        "parameters" : [ {
          "name" : "protocol",
          "in" : "path",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/scope-mappings" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get all scope mappings for the client",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/MappingsRepresentation"
                }
              }
            }
          }
        },
        "deprecated" : true
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/scope-mappings/clients/{client}" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get the roles associated with a client's scope Returns roles for the client.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Add client-level roles to the client's scope",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/RoleRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "delete" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Remove client-level roles from the client's scope.",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/RoleRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/scope-mappings/clients/{client}/available" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "The available client-level roles Returns the roles for the client that can be associated with the client's scope",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/scope-mappings/clients/{client}/composite" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get effective client roles Returns the roles for the client that are associated with the client's scope.",
        "parameters" : [ {
          "name" : "briefRepresentation",
          "in" : "query",
          "description" : "if false, return roles with their attributes",
          "schema" : {
            "default" : true,
            "type" : "boolean"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/scope-mappings/realm" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get realm-level roles associated with the client's scope",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Add a set of realm-level roles to the client's scope",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/RoleRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "delete" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Remove a set of realm-level roles from the client's scope",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/RoleRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/scope-mappings/realm/available" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get realm-level roles that are available to attach to this client's scope",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-scopes/{client-scope-id}/scope-mappings/realm/composite" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get effective realm-level roles associated with the client’s scope What this does is recurse any composite roles associated with the client’s scope and adds the roles to this lists.",
        "description" : "The method is really to show a comprehensive total view of realm-level roles associated with the client.",
        "parameters" : [ {
          "name" : "briefRepresentation",
          "in" : "query",
          "description" : "if false, return roles with their attributes",
          "schema" : {
            "default" : true,
            "type" : "boolean"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-session-stats" : {
      "get" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Get client session stats Returns a JSON map.",
        "description" : "The key is the client id, the value is the number of sessions that currently are active with that client. Only clients that actually have a session associated with them will be in this map.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "type" : "object",
                    "additionalProperties" : {
                      "type" : "string"
                    }
                  }
                }
              }
            }
          },
          "403" : {
            "description" : "Forbidden"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates" : {
      "get" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Get client scopes belonging to the realm Returns a list of client scopes belonging to the realm",
        "responses" : {
          "200" : {
            "description" : "",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/ClientScopeRepresentation"
                  }
                }
              }
            }
          },
          "403" : {
            "description" : "Forbidden"
          }
        }
      },
      "post" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Create a new client scope Client Scope’s name must be unique!",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientScopeRepresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "403" : {
            "description" : "Forbidden"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}" : {
      "get" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Get representation of the client scope",
        "responses" : {
          "200" : {
            "description" : "",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClientScopeRepresentation"
                }
              }
            }
          },
          "403" : {
            "description" : "Forbidden"
          }
        }
      },
      "put" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Update the client scope",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientScopeRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "400" : {
            "description" : "Bad Request"
          },
          "403" : {
            "description" : "Forbidden"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "delete" : {
        "tags" : [ "Client Scopes" ],
        "summary" : "Delete the client scope",
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "400" : {
            "description" : "Bad Request"
          },
          "403" : {
            "description" : "Forbidden"
          },
          "500" : {
            "description" : "Internal Server Error"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/protocol-mappers/add-models" : {
      "post" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Create multiple mappers",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/protocol-mappers/models" : {
      "get" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Get mappers",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Create a mapper",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/protocol-mappers/models/{id}" : {
      "get" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Get mapper by id",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Mapper id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Update the mapper",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Mapper id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "delete" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Delete the mapper",
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "description" : "Mapper id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/protocol-mappers/protocol/{protocol}" : {
      "get" : {
        "tags" : [ "Protocol Mappers" ],
        "summary" : "Get mappers by name for a specific protocol",
        "parameters" : [ {
          "name" : "protocol",
          "in" : "path",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/ProtocolMapperRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/scope-mappings" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get all scope mappings for the client",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/MappingsRepresentation"
                }
              }
            }
          }
        },
        "deprecated" : true
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/scope-mappings/clients/{client}" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get the roles associated with a client's scope Returns roles for the client.",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Add client-level roles to the client's scope",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/RoleRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "delete" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Remove client-level roles from the client's scope.",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/RoleRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/scope-mappings/clients/{client}/available" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "The available client-level roles Returns the roles for the client that can be associated with the client's scope",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/scope-mappings/clients/{client}/composite" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get effective client roles Returns the roles for the client that are associated with the client's scope.",
        "parameters" : [ {
          "name" : "briefRepresentation",
          "in" : "query",
          "description" : "if false, return roles with their attributes",
          "schema" : {
            "default" : true,
            "type" : "boolean"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/scope-mappings/realm" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get realm-level roles associated with the client's scope",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Add a set of realm-level roles to the client's scope",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/RoleRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "delete" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Remove a set of realm-level roles from the client's scope",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/RoleRepresentation"
                }
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/scope-mappings/realm/available" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get realm-level roles that are available to attach to this client's scope",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-templates/{client-scope-id}/scope-mappings/realm/composite" : {
      "get" : {
        "tags" : [ "Scope Mappings" ],
        "summary" : "Get effective realm-level roles associated with the client’s scope What this does is recurse any composite roles associated with the client’s scope and adds the roles to this lists.",
        "description" : "The method is really to show a comprehensive total view of realm-level roles associated with the client.",
        "parameters" : [ {
          "name" : "briefRepresentation",
          "in" : "query",
          "description" : "if false, return roles with their attributes",
          "schema" : {
            "default" : true,
            "type" : "boolean"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/RoleRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-scope-id",
        "in" : "path",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/client-types" : {
      "get" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "List all client types available in the current realm",
        "description" : "This endpoint returns a list of both global and realm level client types and the attributes they set",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClientTypesRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Realms Admin" ],
        "summary" : "Update a client type",
        "description" : "This endpoint allows you to update a realm level client type",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientTypesRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/clients" : {
      "get" : {
        "tags" : [ "Clients" ],
        "summary" : "Get clients belonging to the realm.",
        "description" : "If a client can’t be retrieved from the storage due to a problem with the underlying storage, it is silently removed from the returned list. This ensures that concurrent modifications to the list don’t prevent callers from retrieving this list.",
        "parameters" : [ {
          "name" : "clientId",
          "in" : "query",
          "description" : "filter by clientId",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "first",
          "in" : "query",
          "description" : "the first result",
          "schema" : {
            "format" : "int32",
            "type" : "integer"
          }
        }, {
          "name" : "max",
          "in" : "query",
          "description" : "the max results to return",
          "schema" : {
            "format" : "int32",
            "type" : "integer"
          }
        }, {
          "name" : "q",
          "in" : "query",
          "schema" : {
            "type" : "string"
          }
        }, {
          "name" : "search",
          "in" : "query",
          "description" : "whether this is a search query or a getClientById query",
          "schema" : {
            "default" : false,
            "type" : "boolean"
          }
        }, {
          "name" : "viewableOnly",
          "in" : "query",
          "description" : "filter clients that cannot be viewed in full by admin",
          "schema" : {
            "default" : false,
            "type" : "boolean"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/ClientRepresentation"
                  }
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Clients" ],
        "summary" : "Create a new client Client’s client_id must be unique!",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientRepresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/clients-initial-access" : {
      "get" : {
        "tags" : [ "Client Initial Access" ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/ClientInitialAccessPresentation"
                  }
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Client Initial Access" ],
        "summary" : "Create a new initial access token.",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientInitialAccessCreatePresentation"
              }
            }
          }
        },
        "responses" : {
          "201" : {
            "description" : "Created",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClientInitialAccessCreatePresentation"
                }
              }
            }
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/clients-initial-access/{id}" : {
      "delete" : {
        "tags" : [ "Client Initial Access" ],
        "parameters" : [ {
          "name" : "id",
          "in" : "path",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/clients/{client-uuid}" : {
      "get" : {
        "tags" : [ "Clients" ],
        "summary" : "Get representation of the client",
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClientRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "tags" : [ "Clients" ],
        "summary" : "Update the client",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClientRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          },
          "400" : {
            "description" : "Bad Request"
          },
          "409" : {
            "description" : "Conflict"
          }
        }
      },
      "delete" : {
        "tags" : [ "Clients" ],
        "summary" : "Delete the client",
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-uuid",
        "in" : "path",
        "description" : "id of client (not client-id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/clients/{client-uuid}/authz/resource-server" : {
      "get" : {
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ResourceServerRepresentation"
                }
              }
            }
          }
        }
      },
      "put" : {
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ResourceServerRepresentation"
              }
            }
          }
        },
        "responses" : {
          "204" : {
            "description" : "No Content"
          }
        }
      },
      "parameters" : [ {
        "name" : "realm",
        "in" : "path",
        "description" : "realm name (not id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      }, {
        "name" : "client-uuid",
        "in" : "path",
        "description" : "id of client (not client-id!)",
        "required" : true,
        "schema" : {
          "type" : "string"
        }
      } ]
    },
    "/admin/realms/{realm}/clients/{client-uuid}/authz/resource-server/import" : {
      "post" : {
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ResourceServerRepresentation"
              }
[...]
